//+------------------------------------------------------------------+
//|                                             Fractal Breakout.mq4 |
//|                                                tonyc2a@yahoo.com |
//|                                             Version 1.0.12-10-04 |
//+------------------------------------------------------------------+
#property copyright "tonyc2a@yahoo.com"
#property link      ""

#include <WinUser32.mqh> //for MessageBoxA

#property indicator_chart_window

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- TODO: Add your code here.
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: Add your code here.
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//|This function shows dialog box showing the data you passed        | 
//|Click "Retry if you want to see the messages next time,           | 
//|and click "Cancel" to disable the messages                        |                                        |
//+------------------------------------------------------------------+
void Msg(string message)
{
   static bool disable = false;
   int result = 0;
   
   if(!disable)
      result = MessageBoxA(NULL,message,"Click cancel to disable Alerts!",MB_RETRYCANCEL|MB_ICONINFORMATION);
   
   if(result==IDCANCEL)
   {
      Print("MessageBox has been disabled");
      disable=true;
   }  
}

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- TODO: Add your code here.
   
     //+----Main section, determines entry signals---------------------+
   double LastUpFractal,LastDownFractal;
   bool BuyTriggered=false;
   bool SellTriggered=false;
   
   for(int i=2;i<Bars;i++){//for loop to find last UpFractal
      if(iFractals(NULL, Period(), MODE_UPPER,i)!=0)
         {
         LastUpFractal=iFractals(NULL, Period(), MODE_UPPER,i);
         break;
         }//end if
      }//end for
   for(int j=2;j<Bars;j++){//for loop to find last DownFractal
      if(iFractals(NULL, Period(), MODE_LOWER,j)!=0)
         {
         LastDownFractal=iFractals(NULL, Period(), MODE_LOWER,j);
         break;
         }//end if
      }//end for
      
      Comment("LastUpFractal: " + (LastUpFractal-15*Point) + "\nLastDownFractal: " + (LastDownFractal-15*Point));
   if(Close[0]>LastUpFractal && Close[0]<LastDownFractal+15*Point){//use these If Statements to add filtering conditions to the Triggers
      BuyTriggered=true;                                           //the second condition stops the alert when the price moves more than 15 pips outside the fractal price
      }
   if(Close[0]<LastDownFractal && Close[0]>LastDownFractal-15*Point){//use these If Statements to add filtering conditions to the Triggers
      SellTriggered=true;                                            //the second condition stops the alert when the price moves more than 15 pips outside the fractal price
      }
   //+---------------------------------------------------------------+


   //+----Trade Management section, executes entries and exits--------+
   if(BuyTriggered){
      //Alert("Buy order triggered for "+Symbol()+" on the "+Period()+" minute chart.");
      Msg("Buy order triggered for "+Symbol()+" on the "+Period()+" minute chart.");
      }
   if(SellTriggered){ 
      //Alert("Sell order triggered for "+Symbol()+" on the "+Period()+" minute chart.");
      Msg("Sell order triggered for "+Symbol()+" on the "+Period()+" minute chart.");
      }
   //+---------------------------------------------------------------+


//----
   return(0);
  }
//+------------------------------------------------------------------+